package com.ruoyi.approvalFlow.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审批流任务明细用户对象 audit_items_users
 *
 * @author ruoyi
 * @date 2021-01-21
 */
public class AuditItemsUsers extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long pid;

    /**
     * 单据编号
     */
    @Excel(name = "单据编号")
    private String billNo;

    /**
     * 活动号
     */
    @Excel(name = "活动号")
    private Long actId;

    /**
     * 审批人
     */
    @Excel(name = "审批人")
    private Long userId;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String auditStatus;

    /** 存储对应审批字段 */
    @Excel(name = "存储对应审批字段")
    private String fidStatus;

    /** 第几次提交审批 */
    @Excel(name = "第几次提交审批")
    private Long times;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public Long getPid() {
        return pid;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setActId(Long actId) {
        this.actId = actId;
    }

    public Long getActId() {
        return actId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public String getFidStatus() {
        return fidStatus;
    }

    public void setFidStatus(String fidStatus) {
        this.fidStatus = fidStatus;
    }

    public Long getTimes() {
        return times;
    }

    public void setTimes(Long times) {
        this.times = times;
    }

    @Override
    public String toString() {
        return "AuditItemsUsers{" +
                "id=" + id +
                ", pid=" + pid +
                ", billNo='" + billNo + '\'' +
                ", actId=" + actId +
                ", userId=" + userId +
                ", auditStatus='" + auditStatus + '\'' +
                ", fidStatus='" + fidStatus + '\'' +
                ", times=" + times +
                '}';
    }
}
